Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.config
Class AbstractJobConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

Direct Known Subclasses:
  CustomJobConfig, CustomJobFromMessageConfig, EndpointPollingJobConfig, EventGeneratorJobConfig, ScheduledDispatchJobConfig

    public abstract class AbstractJobConfig

extends Object
implements JobConfig, MuleContextAware

Base implementation of `JobConfig`.

See Also:
  Serialized Form

Constructor Summary
`AbstractJobConfig()`

Method Summary
`String` | `getGroupName()`
`Class` | `getJobClass()`
`String` | `getJobGroupName()`
`MuleContext` | `getMuleContext()`
`protected abstract Class` | `getStatefulJobClass()`
`protected abstract Class` | `getStatelessJobClass()`
`boolean` | `isStateful()`
`void` | `setGroupName(String groupName)`
`void` | `setJobGroupName(String jobGroupName)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setStateful(boolean stateful)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJobConfig

    public AbstractJobConfig()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getMuleContext

    public MuleContext getMuleContext()

### getGroupName

    public String getGroupName()

  Specified by:
    `getGroupName` in interface `JobConfig`

### setGroupName

    public void setGroupName(String groupName)

  Specified by:
    `setGroupName` in interface `JobConfig`

### getJobGroupName

    public String getJobGroupName()

  Specified by:
    `getJobGroupName` in interface `JobConfig`

### setJobGroupName

    public void setJobGroupName(String jobGroupName)

  Specified by:
    `setJobGroupName` in interface `JobConfig`

### isStateful

    public boolean isStateful()

### setStateful

    public void setStateful(boolean stateful)

### getJobClass

    public final Class getJobClass()

  Specified by:
    `getJobClass` in interface `JobConfig`

### getStatefulJobClass

    protected abstract Class getStatefulJobClass()

### getStatelessJobClass

    protected abstract Class getStatelessJobClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.